<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE extension>
<extension version="2.5" type="plugin" group="xmap" method="upgrade">
   <name>Xmap - Issue Tracker</name>
   <creationDate>January 2016</creationDate>
   <author>Macrotone Consulting Ltd</author>
   <authorEmail>info@macrotone.co.uk</authorEmail>
   <authorUrl>http://www.macrotoneconsulting.co.uk</authorUrl>
   <copyright>Copyright (C) 2011-2016 Macrotone Consulting Ltd. All rights reserved.</copyright>
   <license>GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html</license>
   <version>1.7.0</version>
   <description>Xmap Plugin for Macrotone Issue Tracker</description>

   <files>
      <filename plugin="com_issuetracker">com_issuetracker.php</filename>
   </files>

   <languages folder="language">
      <language tag="en-GB">en-GB/en-GB.plg_xmap_com_issuetracker.ini</language>
      <language tag="en-GB">en-GB/en-GB.plg_xmap_com_issuetracker.sys.ini</language>
   </languages>
   <config>
      <fields name="params">
         <fieldset name="basic">
            <field name="include_issues" type="list" default="1" label="PLG_XMAP_COM_ISSUETRACKER_INCLUDE_ENTRIES_LABEL" description="PLG_XMAP_COM_ISSUETRACKER_INCLUDE_ENTRIES_DESC">
               <option value="0">PLG_XMAP_COM_ISSUETRACKER_OPTION_NEVER</option>
               <option value="1">PLG_XMAP_COM_ISSUETRACKER_OPTION_ALWAYS</option>
               <option value="2">PLG_XMAP_COM_ISSUETRACKER_OPTION_XML_ONLY</option>
               <option value="3">PLG_XMAP_COM_ISSUETRACKER_OPTION_HTML_ONLY</option>
            </field>
            <field name="max_links" type="text" default="" label="PLG_XMAP_COM_ISSUETRACKER_SETTING_MAX_LINKS_LABEL" description="PLG_XMAP_COM_ISSUETRACKER_SETTING_MAX_LINKS_DESC" />
         </fieldset>
         <fieldset name="xml">
            <!-- field name="include_expired_issues" type="list" default="0" label="PLG_XMAP_COM_ISSUETRACKER_INCLUDE_EXPIRED_ENTRIES_LABEL" description="PLG_XMAP_COM_ISSUETRACKER_INCLUDE_EXPIRED_ENTRIES_DESC">
               <option value="0">PLG_XMAP_COM_ISSUETRACKER_OPTION_NEVER</option>
               <option value="1">PLG_XMAP_COM_ISSUETRACKER_OPTION_ALWAYS</option>
               <option value="2">PLG_XMAP_COM_ISSUETRACKER_OPTION_XML_ONLY</option>
               <option value="3">PLG_XMAP_COM_ISSUETRACKER_OPTION_HTML_ONLY</option>
            </field -->
            <field name="project_priority" type="list" default="-1" label="PLG_XMAP_COM_ISSUETRACKER_CATEGORY_PRIORITY_LABEL" description="PLG_XMAP_COM_ISSUETRACKER_CATEGORY_PRIORITY_DESC">
               <option value="-1">PLG_XMAP_COM_ISSUETRACKER_OPTION_USE_PARENT_MENU</option>
               <option value="0.0">0.0</option>
               <option value="0.1">0.1</option>
               <option value="0.2">0.2</option>
               <option value="0.3">0.3</option>
               <option value="0.4">0.4</option>
               <option value="0.5">0.5</option>
               <option value="0.6">0.6</option>
               <option value="0.7">0.7</option>
               <option value="0.8">0.8</option>
               <option value="0.9">0.9</option>
               <option value="1">1</option>
            </field>
            <field name="project_changefreq" type="list" default="-1" label="PLG_XMAP_COM_ISSUETRACKER_CATEGORY_CHANGE_FREQ_LABEL" description="PLG_XMAP_COM_ISSUETRACKER_CATEGORY_CHANGE_FREQ_DESC">
               <option value="-1">PLG_XMAP_COM_ISSUETRACKER_OPTION_USE_PARENT_MENU</option>
               <option value="always">PLG_XMAP_COM_ISSUETRACKER_OPTION_ALWAYS</option>
               <option value="hourly">PLG_XMAP_COM_ISSUETRACKER_OPTION_HOURLY</option>
               <option value="daily">PLG_XMAP_COM_ISSUETRACKER_OPTION_DAILY</option>
               <option value="weekly">PLG_XMAP_COM_ISSUETRACKER_OPTION_WEEKLY</option>
               <option value="monthly">PLG_XMAP_COM_ISSUETRACKER_OPTION_MONTHLY</option>
               <option value="yearly">PLG_XMAP_COM_ISSUETRACKER_OPTION_YEARLY</option>
               <option value="never">PLG_XMAP_COM_ISSUETRACKER_OPTION_NEVER</option>
            </field>
            <field name="issue_priority" type="list" default="-1" label="PLG_XMAP_COM_ISSUETRACKER_ENTRY_PRIORITY_LABEL" description="PLG_XMAP_COM_ISSUETRACKER_ENTRY_PRIORITY_DESC">
                <option value="-1">PLG_XMAP_COM_ISSUETRACKER_OPTION_USE_PARENT_MENU</option>
                <option value="0.0">0.0</option>
                <option value="0.1">0.1</option>
                <option value="0.2">0.2</option>
                <option value="0.3">0.3</option>
                <option value="0.4">0.4</option>
                <option value="0.5">0.5</option>
                <option value="0.6">0.6</option>
                <option value="0.7">0.7</option>
                <option value="0.8">0.8</option>
                <option value="0.9">0.9</option>
                <option value="1">1</option>
             </field>
             <field name="issue_changefreq" type="list" default="-1" label="PLG_XMAP_COM_ISSUETRACKER_ENTRY_CHANGE_FREQ_LABEL" description="PLG_XMAP_COM_ISSUETRACKER_ENTRY_CHANGE_FREQ_DESC">
                <option value="-1">PLG_XMAP_COM_ISSUETRACKER_OPTION_USE_PARENT_MENU</option>
                <option value="always">PLG_XMAP_COM_ISSUETRACKER_OPTION_ALWAYS</option>
                <option value="hourly">PLG_XMAP_COM_ISSUETRACKER_OPTION_HOURLY</option>
                <option value="daily">PLG_XMAP_COM_ISSUETRACKER_OPTION_DAILY</option>
                <option value="weekly">PLG_XMAP_COM_ISSUETRACKER_OPTION_WEEKLY</option>
                <option value="monthly">PLG_XMAP_COM_ISSUETRACKER_OPTION_MONTHLY</option>
                <option value="yearly">PLG_XMAP_COM_ISSUETRACKER_OPTION_YEARLY</option>
                <option value="never">PLG_XMAP_COM_ISSUETRACKER_OPTION_NEVER</option>
             </field>
          </fieldset>
       </fields>
   </config>
</extension>